Subject: bug#78222: closed (Re: bug#78222: package-vc-from-checkout generates incorrect package summaries)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 24 May 2025 10:39:02 +0000

Your bug report

#78222: package-vc-from-checkout generates incorrect package summaries

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
78222: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=78222
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#78222: package-vc-from-checkout generates incorrect package summaries
From: Philip Kaludercic <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], JD Smith <[email-masked]>
Date: Sat, 24 May 2025 10:37:58 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: JD Smith <[email-masked]>
>> Date: Sat, 17 May 2025 08:53:16 -0400
>> Cc: Eli Zaretskii <[email-masked]>,
>>  [email-masked]
>> 
>> 
>> 
>> > On May 17, 2025, at 5:03 AM, Philip Kaludercic <[email-masked]> wrote:
>> > 
>> > That is enough information, the fix I mentioned was applied onto the
>> > master branch.  Do you want to build the master branch yourself and
>> > check if the bug has been resolved, or should we just close the bug
>> > directly as a duplicate?
>> 
>> Unfortunately I don't have a master build setup right now; can you
>> confirm that packages in the package listing with archive "source"
>> say something more interesting than "No description available."?
>> Can be closed if so.
>
> Philip, should we close this bug?

Sorry, yes the issue that JD is describing has been resolved.  I am
marking the bug report as done.

Subject: package-vc-from-checkout generates incorrect package summaries
From: JD Smith <[email-masked]>
To: [email-masked]
Date: Fri, 2 May 2025 20:16:52 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

`package-vc-install-from-checkout' fails to generate correct package summaries in the package files it generates, always using "No description available."  

The issue is as follows:

    • `package-vc-install-from-checkout' uses `package-desc-create' to create a description structure based on the directory name of the installed package.
    • This constructor includes a default `summary' slot of `package--default-summary' ("No description available.")
    • During unpacking, `package-vc--generate-description-file' is called with this pre-populated description structure.
    • It notices the existence of the (default) `package-desc-summary', and simply skips reading the main package file to derive the summary from its header line.

The solution may be to alter the test logic in  `package-vc--generate-description-file', or let-bind `package--default-summary=nil' during structure creation.